# Uses of Interface
org.opensaml.xmlsec.signature.P

Packages that use P
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of P in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return P
Modifier and Type
Method
Description
`P`
DSAKeyValue.`getP()`
Get the P child element.
Methods in org.opensaml.xmlsec.signature with parameters of type P
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setP(P newP)`
Set the P child element.

## Uses of P in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement P
Modifier and Type
Class
Description
`class`
`PImpl`
Concrete implementation of `P`.
Fields in org.opensaml.xmlsec.signature.impl declared as P
Modifier and Type
Field
Description
`private P`
DSAKeyValueImpl.`p`
P child element.
Methods in org.opensaml.xmlsec.signature.impl that return P
Modifier and Type
Method
Description
`P`
PBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`P`
PBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`P`
DSAKeyValueImpl.`getP()`
Get the P child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type P
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setP(P newP)`
Set the P child element.